#
# Makefile for Linux 1.2.13 with gcc 2.6.3
#
# $Id: Makefile.lnx,v 1.8 1997/08/11 08:03:01 sob Exp $
#
CC     = gcc 
AR     = ar cq
RANLIB = ranlib
LIBC   = /lib/libc.a
IFLAGS = 
LFLAGS = 
CFLAGS = -O6 -fomit-frame-pointer -fno-strength-reduce -pipe ${IFLAGS} ${LFLAGS}

SRCS   = strcasestr.c authuser.c snprintf.c
OBJS   = strcasestr.o authuser.o snprintf.o
 
all: $(OBJS)
	-rm -f libsupport.a
	${AR} libsupport.a $(OBJS)
	${RANLIB} libsupport.a
 
clean:
	-rm -f *.o libsupport.a

ftp.h:
	install -c -m 444 ftp.h /usr/include/arpa

strcasestr.o: strcasestr.c
	${CC} ${CFLAGS} -c strcasestr.c

authuser.o: authuser.c
	${CC} ${CFLAGS} -c authuser.c

snprintf.o: snprintf.c
	${CC} ${CFLAGS} -c snprintf.c

